//
// gameobject.h
//
// object in game world
//
//
// Author: Tomi Belan <tomi.belan@gmail.com>, (C) 2006
//
// Copyright: See COPYING file that comes with this distribution
//
//

#ifndef _gameobject_h_
#define _gameobject_h_

#include <SDL.h>

class GameHandler;

class GameObject {
public:
  GameObject() { }
  virtual ~GameObject() { }
  
  virtual void update(SDL_Surface *where) = 0;
};

#endif
